Subject: Interrupts get disabled on USB access on MPC8272

From: David Beamonte <[email-masked]>
Date: Fri, 26 Sep 2008 17:36:09 +0200

Hi,

I'm trying to make USB driver work on my MPC8272 with kernel 2.6.21.

The driver detects properly the root hub (the embedded controller), but 
when it tries to communicate with a device, the system seems to hang.

I have debugged the kernel and what I can see is that, once the 
processor tries to send a buffer of the USB controller, interrupts get 
disabled. And so, there is no ethernet, serial port, or whatever way of 
communication to the processor. With my debugger I can see that the 
kernel keeps running and executing cpu_idle() and so on. Furtheremore, 
jiffies increase, but no other interrupts occur.

Has anyone experienced a problem like this?

It seems to happen when buffers try to access external memory. Can it be 
related to bus arbitration?

Regards,

David